from django.conf.urls import patterns, url

from django.contrib import admin
admin.autodiscover()


urlpatterns = patterns(
    'graphics.views',
    url(r'^openarena/$', 'openarena', name='openarena'),
    url(r'^openarena/(?P<card_type_filter>[-\w]+)/$',
        'openarena',
        name='openarena_filter_card_type'),
    url(r'^openarena/(?P<card_type_filter>[-\w]+)/'
        '(?P<resolution_filter>\w+)/$',
        'openarena',
        name='openarena_filter_card_type_resolution'),
    url(r'^guitoolkits/$', 'gui_toolkits', name='guitoolkits'),
    url(r'^guitoolkits/(?P<card_type_filter>[-\w]+)/$',
        'gui_toolkits',
        name='guitoolkits_filter_card_type'),
    url(r'^guitoolkits/(?P<card_type_filter>[-\w]+)/'
        '(?P<resolution_filter>\w+)/$',
        'gui_toolkits',
        name='guitoolkits_filter_card_type_resolution'),
    url(r'^nexuiz/$', 'nexuiz', name='nexuiz'),
    url(r'^nexuiz/(?P<card_type_filter>[-\w]+)/$',
        'nexuiz',
        name='nexuiz_filter_card_type'),
    url(r'^nexuiz/(?P<card_type_filter>[-\w]+)/'
        '(?P<resolution_filter>\w+)/$',
        'nexuiz',
        name='nexuiz_filter_card_type_resolution'),

)
