# QA Dashboard
# Copyright 2012-2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django.conf.urls import patterns, url


urlpatterns = patterns(
    'graphics.api',
    url(r'^latest/(?P<benchmark_filter>[+\-\:\w\ ]+)/'
        '(?P<machine_filter>[-\w]+)/'
        '(?P<resolution_filter>\w+)/$', 'latest_graphics_resolution',
        name='graphics_api_latest_filter_resolution'),
    url(r'^(?P<benchmark_filter>[+\-\:\w\ ]+)/'
        '(?P<machine_filter>[-\w]+)/'
        '(?P<resolution_filter>\w+)/$', 'result_graphics_resolution',
        name='graphics_api_result_filter_resolution'),
)
